//
//    **                                                **
//   ******************************************************
//  ***  THIS PROGRAM IS THE PROPERTY OF ALCYONE LIMITED ***
//   ******************************************************
//    **                                                **
//
//  ssm.h by Phil Skuse
//  Copyright (C) Alcyone Limited 2007.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//


/*=====================================================================*/
/* ALL OF THESE FUNCTIONS RETURN ZERO ON SUCCESS AND NON-ZERO ON ERROR */
/*=====================================================================*/


/*---------------------------------------------------------------------*/
//  ssm_open() opens the COM port and configures it to talk to the ECU */
/*---------------------------------------------------------------------*/
int ssm_open(char *device);


/*------------------------------------------------*/
/* ssm_reset() tells the ECU to stop sending data */
/*------------------------------------------------*/
 
int ssm_reset();

/*--------------------------------------------------------------------------*/
/* ssm_query() tells the ECU to start sending the contents of a given       */
/* address in it's RAM. It will read the address n times and store the data */
/* in the buffer so that you can analyse how the data changes over time.    */
/*--------------------------------------------------------------------------*/

int ssm_query(int address, char *buffer, int n);
	
/*--------------------------------------------------*/ 
// ssm_close() shuts down the connection to the ECU */
/*--------------------------------------------------*/ 
 
int ssm_close();

/*-----------------------------------------------------------------------*/
/* ssm_write() writes a byte of data to the ECU  at the given address.   */
/*-----------------------------------------------------------------------*/

int ssm_write(int address,unsigned char data);

/*-------------------------------------------*/
/* ssm_romid() returns the ROM ID of the ECU */
/*-------------------------------------------*/

int ssm_romid(int *romid);

